Index: linux-kj/drivers/scsi/FlashPoint.c
===================================================================
--- linux-kj.orig/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
+++ linux-kj/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
@@ -2488,99 +2329,87 @@ static unsigned char FPT_sfm(unsigned lo
 static void FPT_ssel(unsigned long port, unsigned char p_card)
 {
 
-   unsigned char auto_loaded, i, target, *theCCB;
+	unsigned char auto_loaded, i, target, *theCCB;
 
-   unsigned long cdb_reg;
-   struct sccb_card * CurrCard;
-   struct sccb * currSCCB;
-   struct sccb_mgr_tar_info * currTar_Info;
-   unsigned char lastTag, lun;
-
-   CurrCard = &FPT_BL_Card[p_card];
-   currSCCB = CurrCard->currentSCCB;
-   target = currSCCB->TargID;
-   currTar_Info = &FPT_sccbMgrTbl[p_card][target];
-   lastTag = CurrCard->tagQ_Lst;
+	unsigned long cdb_reg;
+	struct sccb_card *CurrCard;
+	struct sccb *currSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
+	unsigned char lastTag, lun;
 
-   ARAM_ACCESS(port);
+	CurrCard = &FPT_BL_Card[p_card];
+	currSCCB = CurrCard->currentSCCB;
+	target = currSCCB->TargID;
+	currTar_Info = &FPT_sccbMgrTbl[p_card][target];
+	lastTag = CurrCard->tagQ_Lst;
 
+	ARAM_ACCESS(port);
 
 	if ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) == TAG_Q_REJECT)
 		currSCCB->ControlByte &= ~F_USE_CMD_Q;
 
-	if(((CurrCard->globalFlags & F_CONLUN_IO) && 
-		((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING)))
+	if (((CurrCard->globalFlags & F_CONLUN_IO) &&
+	     ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING)))
 
-	   lun = currSCCB->Lun;
+		lun = currSCCB->Lun;
 	else
 		lun = 0;
 
+	if (CurrCard->globalFlags & F_TAG_STARTED) {
+		if (!(currSCCB->ControlByte & F_USE_CMD_Q)) {
+			if ((currTar_Info->TarLUN_CA == 0)
+			    && ((currTar_Info->TarStatus & TAR_TAG_Q_MASK)
+				== TAG_Q_TRYING)) {
+
+				if (currTar_Info->TarTagQ_Cnt != 0) {
+					currTar_Info->TarLUNBusy[lun] = 1;
+					FPT_queueSelectFail(CurrCard, p_card);
+					SGRAM_ACCESS(port);
+					return;
+				}
 
-   if (CurrCard->globalFlags & F_TAG_STARTED)
-      {
-      if (!(currSCCB->ControlByte & F_USE_CMD_Q))
-         {
-      	if ((currTar_Info->TarLUN_CA == 0)
-      	    && ((currTar_Info->TarStatus & TAR_TAG_Q_MASK)
-      	    == TAG_Q_TRYING))
-            {
-
-	         if (currTar_Info->TarTagQ_Cnt !=0)
-                  {
-         		   currTar_Info->TarLUNBusy[lun] = 1;
-            		FPT_queueSelectFail(CurrCard,p_card);
-					   SGRAM_ACCESS(port);
-         		   return;
-         		   }
-
-            else {
-         		  currTar_Info->TarLUNBusy[lun] = 1;
-         		  }
-
-   	      }  /*End non-tagged */
-
-	      else {
-	         currTar_Info->TarLUNBusy[lun] = 1;
-	         }
-
-	      }  /*!Use cmd Q Tagged */
-
-	   else {
-   	     if (currTar_Info->TarLUN_CA == 1)
-               {
-      	      FPT_queueSelectFail(CurrCard,p_card);
-				   SGRAM_ACCESS(port);
-      	      return;
-	            }
-
-	        currTar_Info->TarLUNBusy[lun] = 1;
+				else {
+					currTar_Info->TarLUNBusy[lun] = 1;
+				}
 
-   	     }  /*else use cmd Q tagged */
+			}
+			/*End non-tagged */
+			else {
+				currTar_Info->TarLUNBusy[lun] = 1;
+			}
 
-      }  /*if glob tagged started */
+		}
+		/*!Use cmd Q Tagged */
+		else {
+			if (currTar_Info->TarLUN_CA == 1) {
+				FPT_queueSelectFail(CurrCard, p_card);
+				SGRAM_ACCESS(port);
+				return;
+			}
 
-   else {
-        currTar_Info->TarLUNBusy[lun] = 1;
-        }
+			currTar_Info->TarLUNBusy[lun] = 1;
 
+		}		/*else use cmd Q tagged */
 
+	}
+	/*if glob tagged started */
+	else {
+		currTar_Info->TarLUNBusy[lun] = 1;
+	}
 
-	if((((CurrCard->globalFlags & F_CONLUN_IO) && 
-		((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING)) 
-		|| (!(currSCCB->ControlByte & F_USE_CMD_Q))))
-	{
-		if(CurrCard->discQCount >= QUEUE_DEPTH)
-		{
+	if ((((CurrCard->globalFlags & F_CONLUN_IO) &&
+	      ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING))
+	     || (!(currSCCB->ControlByte & F_USE_CMD_Q)))) {
+		if (CurrCard->discQCount >= QUEUE_DEPTH) {
 			currTar_Info->TarLUNBusy[lun] = 1;
-			FPT_queueSelectFail(CurrCard,p_card);
+			FPT_queueSelectFail(CurrCard, p_card);
 			SGRAM_ACCESS(port);
 			return;
 		}
-		for (i = 1; i < QUEUE_DEPTH; i++)
-		{
-			if (++lastTag >= QUEUE_DEPTH) lastTag = 1;
-			if (CurrCard->discQ_Tbl[lastTag] == NULL)
-			{
+		for (i = 1; i < QUEUE_DEPTH; i++) {
+			if (++lastTag >= QUEUE_DEPTH)
+				lastTag = 1;
+			if (CurrCard->discQ_Tbl[lastTag] == NULL) {
 				CurrCard->tagQ_Lst = lastTag;
 				currTar_Info->LunDiscQ_Idx[lun] = lastTag;
 				CurrCard->discQ_Tbl[lastTag] = currSCCB;
@@ -2588,206 +2417,206 @@ static void FPT_ssel(unsigned long port,
 				break;
 			}
 		}
-		if(i == QUEUE_DEPTH)
-		{
+		if (i == QUEUE_DEPTH) {
 			currTar_Info->TarLUNBusy[lun] = 1;
-			FPT_queueSelectFail(CurrCard,p_card);
+			FPT_queueSelectFail(CurrCard, p_card);
 			SGRAM_ACCESS(port);
 			return;
 		}
 	}
 
+	auto_loaded = 0;
 
+	WR_HARPOON(port + hp_select_id, target);
+	WR_HARPOON(port + hp_gp_reg_3, target);	/* Use by new automation logic */
 
-   auto_loaded = 0;
+	if (currSCCB->OperationCode == RESET_COMMAND) {
+		WRW_HARPOON((port + ID_MSG_STRT), (MPM_OP + AMSG_OUT +
+						   (currSCCB->
+						    Sccb_idmsg & ~DISC_PRIV)));
 
-   WR_HARPOON(port+hp_select_id, target);
-   WR_HARPOON(port+hp_gp_reg_3, target);  /* Use by new automation logic */
+		WRW_HARPOON((port + ID_MSG_STRT + 2), BRH_OP + ALWAYS + NP);
 
-   if (currSCCB->OperationCode == RESET_COMMAND) {
-      WRW_HARPOON((port+ID_MSG_STRT), (MPM_OP+AMSG_OUT+
-               	 (currSCCB->Sccb_idmsg & ~DISC_PRIV)));
+		currSCCB->Sccb_scsimsg = SMDEV_RESET;
 
-      WRW_HARPOON((port+ID_MSG_STRT+2),BRH_OP+ALWAYS+NP);
+		WR_HARPOON(port + hp_autostart_3, (SELECT + SELCHK_STRT));
+		auto_loaded = 1;
+		currSCCB->Sccb_scsistat = SELECT_BDR_ST;
 
-      currSCCB->Sccb_scsimsg = SMDEV_RESET;
+		if (currTar_Info->TarEEValue & EE_SYNC_MASK) {
+			currTar_Info->TarSyncCtrl = 0;
+			currTar_Info->TarStatus &= ~TAR_SYNC_MASK;
+		}
 
-      WR_HARPOON(port+hp_autostart_3, (SELECT+SELCHK_STRT));
-      auto_loaded = 1;
-      currSCCB->Sccb_scsistat = SELECT_BDR_ST;
+		if (currTar_Info->TarEEValue & EE_WIDE_SCSI) {
+			currTar_Info->TarStatus &= ~TAR_WIDE_MASK;
+		}
 
-      if (currTar_Info->TarEEValue & EE_SYNC_MASK)
-         {
-	       currTar_Info->TarSyncCtrl = 0;
-	      currTar_Info->TarStatus &= ~TAR_SYNC_MASK;
-	      }
+		FPT_sssyncv(port, target, NARROW_SCSI, currTar_Info);
+		FPT_SccbMgrTableInitTarget(p_card, target);
 
-      if (currTar_Info->TarEEValue & EE_WIDE_SCSI)
-         {
-      	currTar_Info->TarStatus &= ~TAR_WIDE_MASK;
-      	}
+	}
 
-      FPT_sssyncv(port, target, NARROW_SCSI,currTar_Info);
-      FPT_SccbMgrTableInitTarget(p_card, target);
+	else if (currSCCB->Sccb_scsistat == ABORT_ST) {
+		WRW_HARPOON((port + ID_MSG_STRT), (MPM_OP + AMSG_OUT +
+						   (currSCCB->
+						    Sccb_idmsg & ~DISC_PRIV)));
 
-      }
+		WRW_HARPOON((port + ID_MSG_STRT + 2), BRH_OP + ALWAYS + CMDPZ);
 
-		else if(currSCCB->Sccb_scsistat == ABORT_ST)
-		{
-			WRW_HARPOON((port+ID_MSG_STRT), (MPM_OP+AMSG_OUT+
-								(currSCCB->Sccb_idmsg & ~DISC_PRIV)));
+		WRW_HARPOON((port + SYNC_MSGS + 0), (MPM_OP + AMSG_OUT +
+						     (((unsigned
+							char)(currSCCB->
+							      ControlByte &
+							      TAG_TYPE_MASK)
+						       >> 6) | (unsigned char)
+						      0x20)));
+		WRW_HARPOON((port + SYNC_MSGS + 2),
+			    (MPM_OP + AMSG_OUT + currSCCB->Sccb_tag));
+		WRW_HARPOON((port + SYNC_MSGS + 4), (BRH_OP + ALWAYS + NP));
 
-      WRW_HARPOON((port+ID_MSG_STRT+2),BRH_OP+ALWAYS+CMDPZ);
+		WR_HARPOON(port + hp_autostart_3, (SELECT + SELCHK_STRT));
+		auto_loaded = 1;
 
-			WRW_HARPOON((port+SYNC_MSGS+0), (MPM_OP+AMSG_OUT+
-								(((unsigned char)(currSCCB->ControlByte & TAG_TYPE_MASK)
-								>> 6) | (unsigned char)0x20)));
-			WRW_HARPOON((port+SYNC_MSGS+2),
-							(MPM_OP+AMSG_OUT+currSCCB->Sccb_tag));
-			WRW_HARPOON((port+SYNC_MSGS+4), (BRH_OP+ALWAYS+NP ));
-
-			WR_HARPOON(port+hp_autostart_3, (SELECT+SELCHK_STRT));
-			auto_loaded = 1;
-		
-		}
-
-   else if (!(currTar_Info->TarStatus & WIDE_NEGOCIATED))  {
-      auto_loaded = FPT_siwidn(port,p_card);
-      currSCCB->Sccb_scsistat = SELECT_WN_ST;
-      }
+	}
 
-   else if (!((currTar_Info->TarStatus & TAR_SYNC_MASK)
-      == SYNC_SUPPORTED))  {
-      auto_loaded = FPT_sisyncn(port,p_card, 0);
-      currSCCB->Sccb_scsistat = SELECT_SN_ST;
-      }
+	else if (!(currTar_Info->TarStatus & WIDE_NEGOCIATED)) {
+		auto_loaded = FPT_siwidn(port, p_card);
+		currSCCB->Sccb_scsistat = SELECT_WN_ST;
+	}
 
+	else if (!((currTar_Info->TarStatus & TAR_SYNC_MASK)
+		   == SYNC_SUPPORTED)) {
+		auto_loaded = FPT_sisyncn(port, p_card, 0);
+		currSCCB->Sccb_scsistat = SELECT_SN_ST;
+	}
 
-   if (!auto_loaded)
-      {
+	if (!auto_loaded) {
 
-      if (currSCCB->ControlByte & F_USE_CMD_Q)
-         {
+		if (currSCCB->ControlByte & F_USE_CMD_Q) {
 
-         CurrCard->globalFlags |= F_TAG_STARTED;
+			CurrCard->globalFlags |= F_TAG_STARTED;
 
-         if ((currTar_Info->TarStatus & TAR_TAG_Q_MASK)
-            == TAG_Q_REJECT)
-            {
-            currSCCB->ControlByte &= ~F_USE_CMD_Q;
+			if ((currTar_Info->TarStatus & TAR_TAG_Q_MASK)
+			    == TAG_Q_REJECT) {
+				currSCCB->ControlByte &= ~F_USE_CMD_Q;
 
-            /* Fix up the start instruction with a jump to
-               Non-Tag-CMD handling */
-            WRW_HARPOON((port+ID_MSG_STRT),BRH_OP+ALWAYS+NTCMD);
+				/* Fix up the start instruction with a jump to
+				   Non-Tag-CMD handling */
+				WRW_HARPOON((port + ID_MSG_STRT),
+					    BRH_OP + ALWAYS + NTCMD);
 
-            WRW_HARPOON((port+NON_TAG_ID_MSG),
-	                     (MPM_OP+AMSG_OUT+currSCCB->Sccb_idmsg));
+				WRW_HARPOON((port + NON_TAG_ID_MSG),
+					    (MPM_OP + AMSG_OUT +
+					     currSCCB->Sccb_idmsg));
 
-	         WR_HARPOON(port+hp_autostart_3, (SELECT+SELCHK_STRT));
+				WR_HARPOON(port + hp_autostart_3,
+					   (SELECT + SELCHK_STRT));
 
-	         /* Setup our STATE so we know what happend when
-               the wheels fall off. */
-            currSCCB->Sccb_scsistat = SELECT_ST;
+				/* Setup our STATE so we know what happend when
+				   the wheels fall off. */
+				currSCCB->Sccb_scsistat = SELECT_ST;
 
-	         currTar_Info->TarLUNBusy[lun] = 1;
-            }
+				currTar_Info->TarLUNBusy[lun] = 1;
+			}
 
-         else
-            {
-            WRW_HARPOON((port+ID_MSG_STRT), (MPM_OP+AMSG_OUT+currSCCB->Sccb_idmsg));
+			else {
+				WRW_HARPOON((port + ID_MSG_STRT),
+					    (MPM_OP + AMSG_OUT +
+					     currSCCB->Sccb_idmsg));
 
-            WRW_HARPOON((port+ID_MSG_STRT+2), (MPM_OP+AMSG_OUT+
-                        (((unsigned char)(currSCCB->ControlByte & TAG_TYPE_MASK)
-                        >> 6) | (unsigned char)0x20)));
+				WRW_HARPOON((port + ID_MSG_STRT + 2),
+					    (MPM_OP + AMSG_OUT +
+					     (((unsigned char)(currSCCB->
+							       ControlByte &
+							       TAG_TYPE_MASK)
+					       >> 6) | (unsigned char)0x20)));
 
-				for (i = 1; i < QUEUE_DEPTH; i++)
-				{
-					if (++lastTag >= QUEUE_DEPTH) lastTag = 1;
-					if (CurrCard->discQ_Tbl[lastTag] == NULL)
-					{
-						WRW_HARPOON((port+ID_MSG_STRT+6),
-							(MPM_OP+AMSG_OUT+lastTag));
+				for (i = 1; i < QUEUE_DEPTH; i++) {
+					if (++lastTag >= QUEUE_DEPTH)
+						lastTag = 1;
+					if (CurrCard->discQ_Tbl[lastTag] ==
+					    NULL) {
+						WRW_HARPOON((port +
+							     ID_MSG_STRT + 6),
+							    (MPM_OP + AMSG_OUT +
+							     lastTag));
 						CurrCard->tagQ_Lst = lastTag;
 						currSCCB->Sccb_tag = lastTag;
-						CurrCard->discQ_Tbl[lastTag] = currSCCB;
+						CurrCard->discQ_Tbl[lastTag] =
+						    currSCCB;
 						CurrCard->discQCount++;
 						break;
 					}
 				}
 
+				if (i == QUEUE_DEPTH) {
+					currTar_Info->TarLUNBusy[lun] = 1;
+					FPT_queueSelectFail(CurrCard, p_card);
+					SGRAM_ACCESS(port);
+					return;
+				}
 
-            if ( i == QUEUE_DEPTH )
-               {
-   	         currTar_Info->TarLUNBusy[lun] = 1;
-               FPT_queueSelectFail(CurrCard,p_card);
-				   SGRAM_ACCESS(port);
-   	         return;
-   	         }
-
-            currSCCB->Sccb_scsistat = SELECT_Q_ST;
-
-   	      WR_HARPOON(port+hp_autostart_3, (SELECT+SELCHK_STRT));
-            }
-         }
-
-      else
-         {
-
-         WRW_HARPOON((port+ID_MSG_STRT),BRH_OP+ALWAYS+NTCMD);
+				currSCCB->Sccb_scsistat = SELECT_Q_ST;
 
-      	WRW_HARPOON((port+NON_TAG_ID_MSG),
-            (MPM_OP+AMSG_OUT+currSCCB->Sccb_idmsg));
+				WR_HARPOON(port + hp_autostart_3,
+					   (SELECT + SELCHK_STRT));
+			}
+		}
 
-         currSCCB->Sccb_scsistat = SELECT_ST;
+		else {
 
-         WR_HARPOON(port+hp_autostart_3, (SELECT+SELCHK_STRT));
-         }
+			WRW_HARPOON((port + ID_MSG_STRT),
+				    BRH_OP + ALWAYS + NTCMD);
 
+			WRW_HARPOON((port + NON_TAG_ID_MSG),
+				    (MPM_OP + AMSG_OUT + currSCCB->Sccb_idmsg));
 
-      theCCB = (unsigned char *)&currSCCB->Cdb[0];
+			currSCCB->Sccb_scsistat = SELECT_ST;
 
-      cdb_reg = port + CMD_STRT;
+			WR_HARPOON(port + hp_autostart_3,
+				   (SELECT + SELCHK_STRT));
+		}
 
-      for (i=0; i < currSCCB->CdbLength; i++)
-         {
-         WRW_HARPOON(cdb_reg, (MPM_OP + ACOMMAND + *theCCB));
-         cdb_reg +=2;
-         theCCB++;
-         }
+		theCCB = (unsigned char *)&currSCCB->Cdb[0];
 
-      if (currSCCB->CdbLength != TWELVE_BYTE_CMD)
-         WRW_HARPOON(cdb_reg, (BRH_OP+ALWAYS+    NP));
+		cdb_reg = port + CMD_STRT;
 
-      }  /* auto_loaded */
+		for (i = 0; i < currSCCB->CdbLength; i++) {
+			WRW_HARPOON(cdb_reg, (MPM_OP + ACOMMAND + *theCCB));
+			cdb_reg += 2;
+			theCCB++;
+		}
 
-   WRW_HARPOON((port+hp_fiforead), (unsigned short) 0x00);
-   WR_HARPOON(port+hp_xferstat, 0x00);
+		if (currSCCB->CdbLength != TWELVE_BYTE_CMD)
+			WRW_HARPOON(cdb_reg, (BRH_OP + ALWAYS + NP));
 
-   WRW_HARPOON((port+hp_intstat), (PROG_HLT | TIMEOUT | SEL | BUS_FREE));
+	}
+	/* auto_loaded */
+	WRW_HARPOON((port + hp_fiforead), (unsigned short)0x00);
+	WR_HARPOON(port + hp_xferstat, 0x00);
 
-   WR_HARPOON(port+hp_portctrl_0,(SCSI_PORT));
+	WRW_HARPOON((port + hp_intstat), (PROG_HLT | TIMEOUT | SEL | BUS_FREE));
 
+	WR_HARPOON(port + hp_portctrl_0, (SCSI_PORT));
 
-   if (!(currSCCB->Sccb_MGRFlags & F_DEV_SELECTED))
-      {
-      WR_HARPOON(port+hp_scsictrl_0, (SEL_TAR | ENA_ATN | ENA_RESEL | ENA_SCAM_SEL));
-      }
-   else
-      {
+	if (!(currSCCB->Sccb_MGRFlags & F_DEV_SELECTED)) {
+		WR_HARPOON(port + hp_scsictrl_0,
+			   (SEL_TAR | ENA_ATN | ENA_RESEL | ENA_SCAM_SEL));
+	} else {
 
 /*      auto_loaded =  (RD_HARPOON(port+hp_autostart_3) & (unsigned char)0x1F);
       auto_loaded |= AUTO_IMMED; */
-      auto_loaded = AUTO_IMMED;
+		auto_loaded = AUTO_IMMED;
 
-      DISABLE_AUTO(port);
+		DISABLE_AUTO(port);
 
-      WR_HARPOON(port+hp_autostart_3, auto_loaded);
-      }
+		WR_HARPOON(port + hp_autostart_3, auto_loaded);
+	}
 
-   SGRAM_ACCESS(port);
+	SGRAM_ACCESS(port);
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sres
@@ -2796,303 +2625,276 @@ static void FPT_ssel(unsigned long port,
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_sres(unsigned long port, unsigned char p_card, struct sccb_card * pCurrCard)
+static void FPT_sres(unsigned long port, unsigned char p_card,
+		     struct sccb_card *pCurrCard)
 {
 
-   unsigned char our_target, message, lun = 0, tag, msgRetryCount;
-
-
-   struct sccb_mgr_tar_info * currTar_Info;
-	struct sccb * currSCCB;
+	unsigned char our_target, message, lun = 0, tag, msgRetryCount;
 
+	struct sccb_mgr_tar_info *currTar_Info;
+	struct sccb *currSCCB;
 
-
-
-	if(pCurrCard->currentSCCB != NULL)
-	{
-		currTar_Info = &FPT_sccbMgrTbl[p_card][pCurrCard->currentSCCB->TargID];
+	if (pCurrCard->currentSCCB != NULL) {
+		currTar_Info =
+		    &FPT_sccbMgrTbl[p_card][pCurrCard->currentSCCB->TargID];
 		DISABLE_AUTO(port);
 
-
-		WR_HARPOON((port+hp_scsictrl_0),(ENA_RESEL | ENA_SCAM_SEL));
-
+		WR_HARPOON((port + hp_scsictrl_0), (ENA_RESEL | ENA_SCAM_SEL));
 
 		currSCCB = pCurrCard->currentSCCB;
-		if(currSCCB->Sccb_scsistat == SELECT_WN_ST)
-		{
+		if (currSCCB->Sccb_scsistat == SELECT_WN_ST) {
 			currTar_Info->TarStatus &= ~TAR_WIDE_MASK;
 			currSCCB->Sccb_scsistat = BUS_FREE_ST;
 		}
-		if(currSCCB->Sccb_scsistat == SELECT_SN_ST)
-		{
+		if (currSCCB->Sccb_scsistat == SELECT_SN_ST) {
 			currTar_Info->TarStatus &= ~TAR_SYNC_MASK;
 			currSCCB->Sccb_scsistat = BUS_FREE_ST;
 		}
-		if(((pCurrCard->globalFlags & F_CONLUN_IO) &&
-			((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING)))
-		{
-      	currTar_Info->TarLUNBusy[currSCCB->Lun] = 0;
-			if(currSCCB->Sccb_scsistat != ABORT_ST)
-			{
+		if (((pCurrCard->globalFlags & F_CONLUN_IO) &&
+		     ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) !=
+		      TAG_Q_TRYING))) {
+			currTar_Info->TarLUNBusy[currSCCB->Lun] = 0;
+			if (currSCCB->Sccb_scsistat != ABORT_ST) {
 				pCurrCard->discQCount--;
-				pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[currSCCB->Lun]] 
-													= NULL;
-			}
-		}
-		else
-		{
-	      currTar_Info->TarLUNBusy[0] = 0;
-			if(currSCCB->Sccb_tag)
-			{
-				if(currSCCB->Sccb_scsistat != ABORT_ST)
-				{
+				pCurrCard->discQ_Tbl[currTar_Info->
+						     LunDiscQ_Idx[currSCCB->
+								  Lun]]
+				    = NULL;
+			}
+		} else {
+			currTar_Info->TarLUNBusy[0] = 0;
+			if (currSCCB->Sccb_tag) {
+				if (currSCCB->Sccb_scsistat != ABORT_ST) {
 					pCurrCard->discQCount--;
-					pCurrCard->discQ_Tbl[currSCCB->Sccb_tag] = NULL;
+					pCurrCard->discQ_Tbl[currSCCB->
+							     Sccb_tag] = NULL;
 				}
-			}else
-			{
-				if(currSCCB->Sccb_scsistat != ABORT_ST)
-				{
+			} else {
+				if (currSCCB->Sccb_scsistat != ABORT_ST) {
 					pCurrCard->discQCount--;
-					pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[0]] = NULL;
+					pCurrCard->discQ_Tbl[currTar_Info->
+							     LunDiscQ_Idx[0]] =
+					    NULL;
 				}
 			}
 		}
 
-      FPT_queueSelectFail(&FPT_BL_Card[p_card],p_card);
+		FPT_queueSelectFail(&FPT_BL_Card[p_card], p_card);
 	}
 
-	WRW_HARPOON((port+hp_fiforead), (unsigned short) 0x00);
-
+	WRW_HARPOON((port + hp_fiforead), (unsigned short)0x00);
 
-	our_target = (unsigned char)(RD_HARPOON(port+hp_select_id) >> 4);
+	our_target = (unsigned char)(RD_HARPOON(port + hp_select_id) >> 4);
 	currTar_Info = &FPT_sccbMgrTbl[p_card][our_target];
 
-
 	msgRetryCount = 0;
-	do
-	{
+	do {
 
 		currTar_Info = &FPT_sccbMgrTbl[p_card][our_target];
 		tag = 0;
 
+		while (!(RD_HARPOON(port + hp_scsisig) & SCSI_REQ)) {
+			if (!(RD_HARPOON(port + hp_scsisig) & SCSI_BSY)) {
 
-		while(!(RD_HARPOON(port+hp_scsisig) & SCSI_REQ))
-		{
-			if (! (RD_HARPOON(port+hp_scsisig) & SCSI_BSY))
-			{
-
-				WRW_HARPOON((port+hp_intstat), PHASE);
+				WRW_HARPOON((port + hp_intstat), PHASE);
 				return;
 			}
 		}
 
-		WRW_HARPOON((port+hp_intstat), PHASE);
-		if ((RD_HARPOON(port+hp_scsisig) & S_SCSI_PHZ) == S_MSGI_PH)
-		{
+		WRW_HARPOON((port + hp_intstat), PHASE);
+		if ((RD_HARPOON(port + hp_scsisig) & S_SCSI_PHZ) == S_MSGI_PH) {
 
-			message = FPT_sfm(port,pCurrCard->currentSCCB);
-			if (message)
-			{
+			message = FPT_sfm(port, pCurrCard->currentSCCB);
+			if (message) {
 
-				if (message <= (0x80 | LUN_MASK))
-				{
+				if (message <= (0x80 | LUN_MASK)) {
 					lun = message & (unsigned char)LUN_MASK;
 
-					if ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) == TAG_Q_TRYING)
-					{
-						if (currTar_Info->TarTagQ_Cnt != 0)
-						{
-
-							if (!(currTar_Info->TarLUN_CA))
-							{
-								ACCEPT_MSG(port);    /*Release the ACK for ID msg. */
-
-
-								message = FPT_sfm(port,pCurrCard->currentSCCB);
-								if (message)
-								{
-									ACCEPT_MSG(port);
+					if ((currTar_Info->
+					     TarStatus & TAR_TAG_Q_MASK) ==
+					    TAG_Q_TRYING) {
+						if (currTar_Info->TarTagQ_Cnt !=
+						    0) {
+
+							if (!
+							    (currTar_Info->
+							     TarLUN_CA)) {
+								ACCEPT_MSG(port);	/*Release the ACK for ID msg. */
+
+								message =
+								    FPT_sfm
+								    (port,
+								     pCurrCard->
+								     currentSCCB);
+								if (message) {
+									ACCEPT_MSG
+									    (port);
 								}
 
 								else
-   								message = 0;
+									message
+									    = 0;
 
-								if(message != 0)
-								{
-									tag = FPT_sfm(port,pCurrCard->currentSCCB);
-
-									if (!(tag)) 
-										message = 0;
+								if (message !=
+								    0) {
+									tag =
+									    FPT_sfm
+									    (port,
+									     pCurrCard->
+									     currentSCCB);
+
+									if (!
+									    (tag))
+										message
+										    =
+										    0;
 								}
 
-							} /*C.A. exists! */
-
-						} /*End Q cnt != 0 */
-
-					} /*End Tag cmds supported! */
-
-				} /*End valid ID message.  */
-
-				else
-				{
+							}
+							/*C.A. exists! */
+						}
+						/*End Q cnt != 0 */
+					}
+					/*End Tag cmds supported! */
+				}
+				/*End valid ID message.  */
+				else {
 
 					ACCEPT_MSG_ATN(port);
 				}
 
-			} /* End good id message. */
-
-			else
-			{
+			}
+			/* End good id message. */
+			else {
 
 				message = 0;
 			}
-		}
-		else
-		{
+		} else {
 			ACCEPT_MSG_ATN(port);
 
-		   while (!(RDW_HARPOON((port+hp_intstat)) & (PHASE | RESET)) &&
-			  !(RD_HARPOON(port+hp_scsisig) & SCSI_REQ) &&
-			  (RD_HARPOON(port+hp_scsisig) & SCSI_BSY)) ;
+			while (!
+			       (RDW_HARPOON((port + hp_intstat)) &
+				(PHASE | RESET))
+			       && !(RD_HARPOON(port + hp_scsisig) & SCSI_REQ)
+			       && (RD_HARPOON(port + hp_scsisig) & SCSI_BSY)) ;
 
 			return;
 		}
 
-		if(message == 0)
-		{
+		if (message == 0) {
 			msgRetryCount++;
-			if(msgRetryCount == 1)
-			{
+			if (msgRetryCount == 1) {
 				FPT_SendMsg(port, SMPARITY);
-			}
-			else
-			{
+			} else {
 				FPT_SendMsg(port, SMDEV_RESET);
 
-				FPT_sssyncv(port, our_target, NARROW_SCSI,currTar_Info);
+				FPT_sssyncv(port, our_target, NARROW_SCSI,
+					    currTar_Info);
 
-				if (FPT_sccbMgrTbl[p_card][our_target].TarEEValue & EE_SYNC_MASK) 
-				{
-			
-					FPT_sccbMgrTbl[p_card][our_target].TarStatus &= ~TAR_SYNC_MASK;
+				if (FPT_sccbMgrTbl[p_card][our_target].
+				    TarEEValue & EE_SYNC_MASK) {
+
+					FPT_sccbMgrTbl[p_card][our_target].
+					    TarStatus &= ~TAR_SYNC_MASK;
 
 				}
 
-				if (FPT_sccbMgrTbl[p_card][our_target].TarEEValue & EE_WIDE_SCSI) 
-				{
+				if (FPT_sccbMgrTbl[p_card][our_target].
+				    TarEEValue & EE_WIDE_SCSI) {
 
-					FPT_sccbMgrTbl[p_card][our_target].TarStatus &= ~TAR_WIDE_MASK;
+					FPT_sccbMgrTbl[p_card][our_target].
+					    TarStatus &= ~TAR_WIDE_MASK;
 				}
 
-
-				FPT_queueFlushTargSccb(p_card, our_target, SCCB_COMPLETE);
-				FPT_SccbMgrTableInitTarget(p_card,our_target);
+				FPT_queueFlushTargSccb(p_card, our_target,
+						       SCCB_COMPLETE);
+				FPT_SccbMgrTableInitTarget(p_card, our_target);
 				return;
 			}
 		}
-	}while(message == 0);
-
+	} while (message == 0);
 
-
-	if(((pCurrCard->globalFlags & F_CONLUN_IO) &&
-		((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING)))
-	{
+	if (((pCurrCard->globalFlags & F_CONLUN_IO) &&
+	     ((currTar_Info->TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING))) {
 		currTar_Info->TarLUNBusy[lun] = 1;
-		pCurrCard->currentSCCB = pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[lun]];
-		if(pCurrCard->currentSCCB != NULL)
-		{
+		pCurrCard->currentSCCB =
+		    pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[lun]];
+		if (pCurrCard->currentSCCB != NULL) {
 			ACCEPT_MSG(port);
-		}
-		else 
-		{
+		} else {
 			ACCEPT_MSG_ATN(port);
 		}
-	}
-	else
-	{
+	} else {
 		currTar_Info->TarLUNBusy[0] = 1;
 
-
-		if (tag)
-		{
-			if (pCurrCard->discQ_Tbl[tag] != NULL)
-			{
-				pCurrCard->currentSCCB = pCurrCard->discQ_Tbl[tag];
-		 		currTar_Info->TarTagQ_Cnt--;
+		if (tag) {
+			if (pCurrCard->discQ_Tbl[tag] != NULL) {
+				pCurrCard->currentSCCB =
+				    pCurrCard->discQ_Tbl[tag];
+				currTar_Info->TarTagQ_Cnt--;
 				ACCEPT_MSG(port);
+			} else {
+				ACCEPT_MSG_ATN(port);
 			}
-			else
-			{
-			ACCEPT_MSG_ATN(port);
-			}
-		}else
-		{
-			pCurrCard->currentSCCB = pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[0]];
-			if(pCurrCard->currentSCCB != NULL)
-			{
+		} else {
+			pCurrCard->currentSCCB =
+			    pCurrCard->discQ_Tbl[currTar_Info->LunDiscQ_Idx[0]];
+			if (pCurrCard->currentSCCB != NULL) {
 				ACCEPT_MSG(port);
-			}
-			else 
-			{
+			} else {
 				ACCEPT_MSG_ATN(port);
 			}
 		}
 	}
 
-	if(pCurrCard->currentSCCB != NULL)
-	{
-		if(pCurrCard->currentSCCB->Sccb_scsistat == ABORT_ST)
-		{
-		/* During Abort Tag command, the target could have got re-selected
-			and completed the command. Check the select Q and remove the CCB
-			if it is in the Select Q */
+	if (pCurrCard->currentSCCB != NULL) {
+		if (pCurrCard->currentSCCB->Sccb_scsistat == ABORT_ST) {
+			/* During Abort Tag command, the target could have got re-selected
+			   and completed the command. Check the select Q and remove the CCB
+			   if it is in the Select Q */
 			FPT_queueFindSccb(pCurrCard->currentSCCB, p_card);
 		}
 	}
 
-
-   while (!(RDW_HARPOON((port+hp_intstat)) & (PHASE | RESET)) &&
-	  !(RD_HARPOON(port+hp_scsisig) & SCSI_REQ) &&
-	  (RD_HARPOON(port+hp_scsisig) & SCSI_BSY)) ;
+	while (!(RDW_HARPOON((port + hp_intstat)) & (PHASE | RESET)) &&
+	       !(RD_HARPOON(port + hp_scsisig) & SCSI_REQ) &&
+	       (RD_HARPOON(port + hp_scsisig) & SCSI_BSY)) ;
 }
 
 static void FPT_SendMsg(unsigned long port, unsigned char message)
 {
-	while(!(RD_HARPOON(port+hp_scsisig) & SCSI_REQ))
-	{
-		if (! (RD_HARPOON(port+hp_scsisig) & SCSI_BSY))
-		{
+	while (!(RD_HARPOON(port + hp_scsisig) & SCSI_REQ)) {
+		if (!(RD_HARPOON(port + hp_scsisig) & SCSI_BSY)) {
 
-			WRW_HARPOON((port+hp_intstat), PHASE);
+			WRW_HARPOON((port + hp_intstat), PHASE);
 			return;
 		}
 	}
 
-	WRW_HARPOON((port+hp_intstat), PHASE);
-	if ((RD_HARPOON(port+hp_scsisig) & S_SCSI_PHZ) == S_MSGO_PH)
-	{
-		WRW_HARPOON((port+hp_intstat), (BUS_FREE | PHASE | XFER_CNT_0));
-
+	WRW_HARPOON((port + hp_intstat), PHASE);
+	if ((RD_HARPOON(port + hp_scsisig) & S_SCSI_PHZ) == S_MSGO_PH) {
+		WRW_HARPOON((port + hp_intstat),
+			    (BUS_FREE | PHASE | XFER_CNT_0));
 
-		WR_HARPOON(port+hp_portctrl_0, SCSI_BUS_EN);
+		WR_HARPOON(port + hp_portctrl_0, SCSI_BUS_EN);
 
-		WR_HARPOON(port+hp_scsidata_0,message);
+		WR_HARPOON(port + hp_scsidata_0, message);
 
-		WR_HARPOON(port+hp_scsisig, (SCSI_ACK + S_ILL_PH));
+		WR_HARPOON(port + hp_scsisig, (SCSI_ACK + S_ILL_PH));
 
 		ACCEPT_MSG(port);
 
-		WR_HARPOON(port+hp_portctrl_0, 0x00);
+		WR_HARPOON(port + hp_portctrl_0, 0x00);
 
 		if ((message == SMABORT) || (message == SMDEV_RESET) ||
-				(message == SMABORT_TAG) )
-		{
-			while(!(RDW_HARPOON((port+hp_intstat)) & (BUS_FREE | PHASE))) {}
+		    (message == SMABORT_TAG)) {
+			while (!
+			       (RDW_HARPOON((port + hp_intstat)) &
+				(BUS_FREE | PHASE))) {
+			}
 
-			if (RDW_HARPOON((port+hp_intstat)) & BUS_FREE)
-			{
-			WRW_HARPOON((port+hp_intstat), BUS_FREE);
+			if (RDW_HARPOON((port + hp_intstat)) & BUS_FREE) {
+				WRW_HARPOON((port + hp_intstat), BUS_FREE);
 			}
 		}
 	}
@@ -3106,37 +2908,35 @@ static void FPT_SendMsg(unsigned long po
  *              target device.
  *
  *---------------------------------------------------------------------*/
-static void FPT_sdecm(unsigned char message, unsigned long port, unsigned char p_card)
+static void FPT_sdecm(unsigned char message, unsigned long port,
+		      unsigned char p_card)
 {
-	struct sccb * currSCCB;
-	struct sccb_card * CurrCard;
-	struct sccb_mgr_tar_info * currTar_Info;
+	struct sccb *currSCCB;
+	struct sccb_card *CurrCard;
+	struct sccb_mgr_tar_info *currTar_Info;
 
 	CurrCard = &FPT_BL_Card[p_card];
 	currSCCB = CurrCard->currentSCCB;
 
 	currTar_Info = &FPT_sccbMgrTbl[p_card][currSCCB->TargID];
 
-	if (message == SMREST_DATA_PTR)
-	{
-		if (!(currSCCB->Sccb_XferState & F_NO_DATA_YET))
-		{
+	if (message == SMREST_DATA_PTR) {
+		if (!(currSCCB->Sccb_XferState & F_NO_DATA_YET)) {
 			currSCCB->Sccb_ATC = currSCCB->Sccb_savedATC;
 
 			FPT_hostDataXferRestart(currSCCB);
 		}
 
 		ACCEPT_MSG(port);
-		WR_HARPOON(port+hp_autostart_1, (AUTO_IMMED+DISCONNECT_START));
+		WR_HARPOON(port + hp_autostart_1,
+			   (AUTO_IMMED + DISCONNECT_START));
 	}
 
-	else if (message == SMCMD_COMP)
-	{
-
+	else if (message == SMCMD_COMP) {
 
-		if (currSCCB->Sccb_scsistat == SELECT_Q_ST)
-		{
-			currTar_Info->TarStatus &= ~(unsigned char)TAR_TAG_Q_MASK;
+		if (currSCCB->Sccb_scsistat == SELECT_Q_ST) {
+			currTar_Info->TarStatus &=
+			    ~(unsigned char)TAR_TAG_Q_MASK;
 			currTar_Info->TarStatus |= (unsigned char)TAG_Q_REJECT;
 		}
 
